## org.apache.naming.factory
Class TransactionFactory

    java.lang.Object
      |
      +--org.apache.naming.factory.TransactionFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class TransactionFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for User trasactions.

Version:
  $Revision: 1.3 $ $Date: 2001/01/23 03:43:54 $
Author:
  Remy Maucherat

Constructor Summary
`TransactionFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new User transaction instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionFactory

    public TransactionFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new User transaction instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
    `java.lang.Exception`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.